sortsup.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::Sorted::Rank
| Storage class for mininmum and maximum of a variable. More...
class | Gecode::Int::Sorted::SccComponent
| Representation of a strongly connected component. More...
class | Gecode::Int::Sorted::OfflineMinItem
| Item used to construct the OfflineMin sequence. More...
class | Gecode::Int::Sorted::OfflineMin
| Offline-Min datastructure Used to compute the perfect matching between the unsorted views x and the sorted views y. More...
class | Gecode::Int::Sorted::TupleMaxInc< View >
| Index comparison for ViewArray<Tuple>. More...
class | Gecode::Int::Sorted::TupleMaxIncExt< View >
| Extended Index comparison for ViewArray<Tuple>. More...
class | Gecode::Int::Sorted::TupleMinInc< View >
| View comparison on ViewTuples. More...
class | Gecode::Int::Sorted::ViewPair< View >
| Pair of views. More...
class | Gecode::Int::Sorted::TupleMinIncExt< View >
| Extended view comparison on pairs of views. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Sorted
| Sorted propagators

## Functions

template<class View, bool Perm>
bool | Gecode::Int::Sorted::check_subsumption (ViewArray< View > &x, ViewArray< View > &y, ViewArray< View > &z, bool &subsumed, int &dropfst)
| Subsumption test.
template<class View, bool Perm>
bool | Gecode::Int::Sorted::array_assigned (Space &home, ViewArray< View > &x, ViewArray< View > &y, ViewArray< View > &z, bool &subsumed, bool &match_fixed, bool &, bool &noperm_bc)
| Check for assignment of a variable array.
template<class View>
bool | Gecode::Int::Sorted::channel (Space &home, ViewArray< View > &x, ViewArray< View > &y, ViewArray< View > &z, bool &nofix)
| Channel between x, y and z.